Package org.opensaml.xmlsec

# Class SignatureSigningParameters

java.lang.Object
org.opensaml.xmlsec.SignatureSigningParameters

public class SignatureSigningParameters extends Object
The effective parameters to use when generating an XML signature.

## Field Summary

Fields
Modifier and Type
Field
Description
`private KeyInfoGenerator`
`keyInfoGenerator`
The KeyInfo generator.
`private String`
`signatureAlgorithmURI`
The signature algorithm URI.
`private String`
`signatureCanonicalizationAlgorithm`
The signature canonicalization algorithm URI.
`private Integer`
`signatureHMACOutputLength`
The signature HMAC output length value.
`private String`
`signatureReferenceCanonicalizationAlgorithm`
The signature reference canonicalization transform algorithm.
`private String`
`signatureReferenceDigestMethod`
The signature reference digest method URI.
`private Credential`
`signingCredential`
The signing credential.

## Constructor Summary

Constructors
Constructor
Description
`SignatureSigningParameters()`

## Method Summary

Modifier and Type
Method
Description
`KeyInfoGenerator`
`getKeyInfoGenerator()`
Get the KeyInfoGenerator to use when generating the Signature/KeyInfo.
`String`
`getSignatureAlgorithm()`
Get the signature algorithm URI to use when signing.
`String`
`getSignatureCanonicalizationAlgorithm()`
Get a canonicalization algorithm URI suitable for use as a Signature CanonicalizationMethod value.
`Integer`
`getSignatureHMACOutputLength()`
Get the value to be used as the Signature SignatureMethod HMACOutputLength value, used only when signing with an HMAC algorithm.
`String`
`getSignatureReferenceCanonicalizationAlgorithm()`
Get a canonicalization algorithm URI suitable for use as a Signature Reference Transform value.
`String`
`getSignatureReferenceDigestMethod()`
Get a digest method algorithm URI suitable for use as a Signature Reference DigestMethod value.
`Credential`
`getSigningCredential()`
Get the signing credential to use when signing.
`void`
`setKeyInfoGenerator(KeyInfoGenerator generator)`
Set the KeyInfoGenerator to use when generating the Signature/KeyInfo.
`void`
`setSignatureAlgorithm(String uri)`
Set the signature algorithm URI to use when signing.
`void`
`setSignatureCanonicalizationAlgorithm(String uri)`
Set a canonicalization algorithm URI suitable for use as a Signature CanonicalizationMethod value.
`void`
`setSignatureHMACOutputLength(Integer length)`
Set the value to be used as the Signature SignatureMethod HMACOutputLength value, used only when signing with an HMAC algorithm.
`void`
`setSignatureReferenceCanonicalizationAlgorithm(String uri)`
Get a canonicalization algorithm URI suitable for use as a Signature Reference Transform value.
`void`
`setSignatureReferenceDigestMethod(String uri)`
Set a digest method algorithm URI suitable for use as a Signature Reference DigestMethod value.
`void`
`setSigningCredential(Credential credential)`
Set the signing credential to use when signing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### signingCredential

@Nullable private Credential signingCredential
The signing credential.

### signatureAlgorithmURI

@Nullable private String signatureAlgorithmURI
The signature algorithm URI.

### signatureReferenceDigestMethod

@Nullable private String signatureReferenceDigestMethod
The signature reference digest method URI.

### signatureReferenceCanonicalizationAlgorithm

@Nullable private String signatureReferenceCanonicalizationAlgorithm
The signature reference canonicalization transform algorithm.

### signatureCanonicalizationAlgorithm

@Nullable private String signatureCanonicalizationAlgorithm
The signature canonicalization algorithm URI.

### signatureHMACOutputLength

@Nullable private Integer signatureHMACOutputLength
The signature HMAC output length value.

### keyInfoGenerator

@Nullable private KeyInfoGenerator keyInfoGenerator
The KeyInfo generator.

## Constructor Details

### SignatureSigningParameters

public SignatureSigningParameters()

## Method Details

### getSigningCredential

@Nullable public Credential getSigningCredential()
Get the signing credential to use when signing.

Returns:
  the signing credential

### setSigningCredential

public void setSigningCredential(@Nullable Credential credential)
Set the signing credential to use when signing.

Parameters:
  `credential` - the signing credential

### getSignatureAlgorithm

@Nullable public String getSignatureAlgorithm()
Get the signature algorithm URI to use when signing.

Returns:
  a signature algorithm URI mapping

### setSignatureAlgorithm

public void setSignatureAlgorithm(@Nullable String uri)
Set the signature algorithm URI to use when signing.

Parameters:
  `uri` - a signature algorithm URI mapping

### getSignatureReferenceDigestMethod

@Nullable public String getSignatureReferenceDigestMethod()
Get a digest method algorithm URI suitable for use as a Signature Reference DigestMethod value.

Returns:
  a digest method algorithm URI

### setSignatureReferenceDigestMethod

public void setSignatureReferenceDigestMethod(@Nullable String uri)
Set a digest method algorithm URI suitable for use as a Signature Reference DigestMethod value.

Parameters:
  `uri` - a digest method algorithm URI

### getSignatureReferenceCanonicalizationAlgorithm

@Nullable public String getSignatureReferenceCanonicalizationAlgorithm()
Get a canonicalization algorithm URI suitable for use as a Signature Reference Transform value.

Returns:
  a digest method algorithm URI

### setSignatureReferenceCanonicalizationAlgorithm

public void setSignatureReferenceCanonicalizationAlgorithm(@Nullable String uri)
Get a canonicalization algorithm URI suitable for use as a Signature Reference Transform value.

Parameters:
  `uri` - a canonicalization algorithm URI

### getSignatureCanonicalizationAlgorithm

@Nullable public String getSignatureCanonicalizationAlgorithm()
Get a canonicalization algorithm URI suitable for use as a Signature CanonicalizationMethod value.

Returns:
  a canonicalization algorithm URI

### setSignatureCanonicalizationAlgorithm

public void setSignatureCanonicalizationAlgorithm(@Nullable String uri)
Set a canonicalization algorithm URI suitable for use as a Signature CanonicalizationMethod value.

Parameters:
  `uri` - a canonicalization algorithm URI

### getSignatureHMACOutputLength

@Nullable public Integer getSignatureHMACOutputLength()
Get the value to be used as the Signature SignatureMethod HMACOutputLength value, used only when signing with an HMAC algorithm. This value is optional when using HMAC.

Returns:
  the configured HMAC output length value

### setSignatureHMACOutputLength

public void setSignatureHMACOutputLength(@Nullable Integer length)
Set the value to be used as the Signature SignatureMethod HMACOutputLength value, used only when signing with an HMAC algorithm. This value is optional when using HMAC.

Parameters:
  `length` - the configured HMAC output length value

### getKeyInfoGenerator

@Nullable public KeyInfoGenerator getKeyInfoGenerator()
Get the KeyInfoGenerator to use when generating the Signature/KeyInfo.

Returns:
  the KeyInfoGenerator instance

### setKeyInfoGenerator

public void setKeyInfoGenerator(@Nullable KeyInfoGenerator generator)
Set the KeyInfoGenerator to use when generating the Signature/KeyInfo.

Parameters:
  `generator` - the KeyInfoGenerator instance